Bug 88680 - ggv does not open pdf files after upgrading xpdf from 1.x to 2.x
ggv does not open pdf files after upgrading xpdf from 1.x to 2.x
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: ggv (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 16:28 EDT by Michael Lee Yohe
Modified: 2013-04-02 00:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-17 13:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output of ggv during run-time (320.84 KB, text/plain)
2003-04-11 16:33 EDT, Michael Lee Yohe
no flags Details

  None (edit)
Description Michael Lee Yohe 2003-04-11 16:28:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030102

Description of problem:
After upgrading to Red Hat Linux 9 thus upgrading xpdf from 1.x to 2.01, ggv no
longer opens PDF file.  Before, ggv had no problems opening PDF files.  xpdf has
no problems opening the same PDF file.

Version-Release number of selected component (if applicable):
ggv-1.99.97-2 xpdf-2.01-8

How reproducible:
Always

Steps to Reproduce:
1. Attempt to open any PDF file.
    

Actual Results:  Receive an error saying that it is not a valid postscript document.

Expected Results:  No errors - just old behavior like xpdf 1.x based ggv.

Additional info:
Comment 1 Michael Lee Yohe 2003-04-11 16:33:14 EDT
Created attachment 91082 [details]
strace output of ggv during run-time
Comment 2 Miloslav Trmac 2003-04-11 21:15:15 EDT
Does not happen with all PDFs, but with most I have tried, notably
RHL 9 manuals.
Comment 3 Paolo Prandini 2003-05-15 05:33:20 EDT
Hi. I have downgraded ggv to the previous release that was shipped with Red Hat
Linux 8.0, and the problem went away.

- Regards
- Paolo Prandini
Comment 4 Michael Lee Yohe 2003-07-17 11:11:20 EDT
Any update on this issue?
Comment 5 Jonathan Blandford 2003-07-17 13:32:37 EDT
The ggv author wants to remove pdf support from ggv altogether.  He feels that
pdf's are better served by a dedicated pdf renderer, rather than by using
ghostscript.

Note You need to log in before you can comment on or make changes to this bug.